OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class LdapPlugin.TimeoutLDAPSocket

    java.lang.Object
      org.opennms.netmgt.capsd.LdapPlugin.TimeoutLDAPSocket

All Implemented Interfaces:
  com.novell.ldap.LDAPSocketFactory

Enclosing class:
  LdapPlugin

private class LdapPlugin.TimeoutLDAPSocket
extends java.lang.Object
implements com.novell.ldap.LDAPSocketFactory

A class to add a timeout to the socket that the LDAP code uses to access an LDAP server

Field Summary
`private int` `m_timeout`

Constructor Summary
`LdapPlugin.TimeoutLDAPSocket(int timeout)`

Method Summary
`java.net.Socket` `makeSocket(java.lang.String host, int port)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_timeout

    private int m_timeout

Constructor Detail

### LdapPlugin.TimeoutLDAPSocket

    public LdapPlugin.TimeoutLDAPSocket(int timeout)

Method Detail

### makeSocket

    public java.net.Socket makeSocket(java.lang.String host,
                                      int port)
                               throws java.io.IOException,
                                      java.net.UnknownHostException

  Specified by:
    `makeSocket` in interface `com.novell.ldap.LDAPSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.